Ubuntu

[Lenovo E420s] Hitting brightness keys causes machine to lock up

Reported by Jeff Lane on 2012-05-01
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned

Bug Description

This only occurs with the brightness keys. I've tried all the other function keys and they all seem to work well.

However when I hit either of the brightness keys, the result is a frozen system that requires a power cycle to recover.

(201103-7425)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1478 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xe2800000 irq 47'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f1506e,17aa21e1,00100000 HDA:80862805,17aa21e1,00100000'
   Controls : 14
   Simple ctrls : 6
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw unknown'
   Mixer name : 'ThinkPad EC (unknown)'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Tue May 1 12:51:40 2012
HibernationDevice: RESUME=UUID=e3eba758-e9f5-4946-9ef7-8bbffb20b324
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: LENOVO 440120U
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 radeondrmfb
 1 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=ffa16e9a-6a60-4183-ba1c-b2baf3d1b3d6 ro quiet splash initcall_debug vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/03/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8JET24WW (1.06 )
dmi.board.asset.tag: Not Available
dmi.board.name: 440120U
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8JET24WW(1.06):bd03/03/2011:svnLENOVO:pn440120U:pvrThinkPadEdgeE420s:rvnLENOVO:rn440120U:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 440120U
dmi.product.version: ThinkPad Edge E420s
dmi.sys.vendor: LENOVO

Jeff Lane (bladernr) wrote :
Brad Figg (brad-figg) on 2012-05-01
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc4-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: rls-q-incoming
Changed in linux (Ubuntu Precise):
status: New → Incomplete

Removing the rls-q-incoming tag until we have proper confirmation for Quantal.

Changed in linux (Ubuntu Precise):
status: Incomplete → New
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Medium → Undecided
tags: removed: rls-q-incoming

Greg or Jeff, can you test with the mainline kernel as requested by Joseph?

Jeff Marcom (jeffmarcom) wrote :

Retested this with 3.5.0 Quantal and the issue still exists.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu Quantal):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-06-21
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Precise):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Joseph Salisbury (jsalisbury) wrote :

@Jeff,

Do you happen to the if there was an earlier kernel that did not exhibit this bug?

tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Can you test the v3.1 kernel and see if the bug exists there?

v3.1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/

If it does not exist there, can you test v3.2-rc2:

v3.2-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc1-oneiric/

Changed in linux (Ubuntu Precise):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Jeff Lane (bladernr) wrote :

@Joeseph: This test was not marked as a failure or a problem on Natty and Oneiric certification testing, so seems to be precise and later only (assuming it's recreated in Quantal as well).

Greg Vallande (gvallande) wrote :

@Joseph,

   Hi! i've retested this with: v3.1 (fails) and also v3.2-rc1 (WORKS!) - however, any later kernel release for precise is broken and still causes the brightness key lockup. I also tested the v3.4-rc6-precise and that produces the same problem. Please advise. Thanks!

tags: added: needs-bisect
Changed in linux (Ubuntu Precise):
status: Incomplete → Triaged
Changed in linux (Ubuntu Quantal):
status: Incomplete → Triaged
Joseph Salisbury (jsalisbury) wrote :

Can you confirm that v3.2-rc2 fails? If we can confirm that, I will bisect between rc1 and rc2.

v3.2-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc2-oneiric/

Changed in linux (Ubuntu Precise):
status: Triaged → Confirmed
Changed in linux (Ubuntu Quantal):
status: Triaged → Confirmed
Changed in linux (Ubuntu Precise):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
assignee: nobody → Joseph Salisbury (jsalisbury)
tags: added: performing-bisect
removed: needs-bisect
Jeff Marcom (jeffmarcom) wrote :

I was able to test this with 3.2 rc2 and the machine is still stable when adjusting brightness with the key.

Changed in linux (Ubuntu Precise):
status: Incomplete → New
Changed in linux (Ubuntu Quantal):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-07-19
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Precise):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

It sounds like this bug was fixed in v3.2-rc1 and then another regression was introduced at some point.

Since v3.2-rc2 also works, can you test some of the later release candidates to identify the first one that introduced this bug? For example, -rc3, rc4, etc:

v3.2-rc3: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc3-oneiric/
v3.2-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc4-oneiric/
v3.2-rc5: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc5-oneiric/
...

Changed in linux (Ubuntu Precise):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Jeff Marcom (jeffmarcom) wrote :
Changed in linux (Ubuntu Precise):
status: Incomplete → New
Changed in linux (Ubuntu Quantal):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-07-26
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Precise):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Hi Jeff,

I started a bisect between v3.2-rc1 and v3.2-rc2. The first test kernel is built up to commit:
fe10e6f4b24ef8ca12cb4d2368deb4861ab1861b

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp992720

Can you test that kernel and report back if it has the bug or not?

Changed in linux (Ubuntu Precise):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Jeff Marcom (jeffmarcom) wrote :

Tested with the following: linux-image-3.2.0-030200rc1-generic_3.2.0-030200rc1.201208101902_amd64.deb

and the bug is present.

Changed in linux (Ubuntu Precise):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Quantal):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
c8c27c955ac633c0d783ec65f65176c82809f04d

The kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp992720

Can you test that kernel and comment back if it has the bug or not?

Thanks

Changed in linux (Ubuntu Precise):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Ara Pulido (apulido) on 2012-08-22
tags: added: quantal
Joseph Salisbury (jsalisbury) wrote :

I've reviewed some of the tests that were performed for this bug. To summarize:

v3.2-rc1: Has bug.
v3.2-rc2 through v3.2-rc4: Do not have bug.
v3.2-rc5: Has bug again.

I think we should actually be bisecting between v3.2-rc4 and v3.2-rc5. I'll start the bisect and post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel, which is up to commit:
232ea344550c4a099d35d9df552509d6748a31c0

The kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp992720

Can you test that kernel and comment back if it has the bug or not?

Also, v3.6-rc2[0] is now available. Can you also test that kernel to see if this bug is already fixed in mainline?

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc2-quantal/

Jeff Marcom (jeffmarcom) wrote :

Hi Joseph, the test kernel directory seems to be empty, however I tested 3.6rc5 (the most recent) and the machine locks up when changing the brightness setttings.

Changed in linux (Ubuntu Precise):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Quantal):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Sorry, Jeff. I just uploaded the test kernels to:
http://people.canonical.com/~jsalisbury/lp992720

Changed in linux (Ubuntu Precise):
status: Confirmed → Incomplete
Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Rolf Leggewie (r0lf) wrote :

Jeff, can you please let us know if the provided kernels fix the issue for you?

Ara Pulido (apulido) on 2013-01-17
tags: added: regression-release
Jeff Marcom (jeffmarcom) wrote :

@Rolf,

The kernels that were uploaded by Joseph were for rc4,
However I noted that rc5 fails as well.

Changed in linux (Ubuntu):
status: Incomplete → New
Changed in linux (Ubuntu Quantal):
status: Incomplete → New
Changed in linux (Ubuntu Precise):
status: Incomplete → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Precise):
status: New → Confirmed
Changed in linux (Ubuntu Quantal):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

@Jeff,

Yes the kernel I posed at http://people.canonical.com/~jsalisbury/lp992720 had an rc4 tag in the name. That is because they are built during the bisect process, which does a process of elimination jumping from newer to older kernels.

The v3.8 kernel is now avaiable. Can you test that kernel before we continue the bisect process? It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc4-raring/

Changed in linux (Ubuntu Quantal):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
assignee: Joseph Salisbury (jsalisbury) → nobody
Dave Cunningham (sparkprime) wrote :

I also have this problem, except only the brightness up key causes it. The brightness down key does not cause a problem, indeed it actually lowers the brightness of the screen.

I have tried the 3.8.5 and 3.5.0 kernels.

The crash can be triggered at any time after booting the kernel, but the brightness up key works fine in the bios.

Dave Cunningham (sparkprime) wrote :
Download full text (49.3 KiB)

dcunnin@tyrion:~$ cat /proc/version_signature
Ubuntu 3.5.0-26.42-generic 3.5.7.6
dcunnin@tyrion:~$ sudo lspci -vnvn
[sudo] password for dcunnin:
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0104] (rev 09)
        Subsystem: Lenovo Device [17aa:21cf]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port [8086:0101] (rev 09) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00005000-00005fff
        Memory behind bridge: d2000000-d30fffff
        Prefetchable memory behind bridge: 00000000c0000000-00000000d1ffffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: [88] Subsystem: Lenovo Device [17aa:21cf]
        Capabilities: [80] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee00318 Data: 0000
        Capabilities: [a0] Express (v2) Root Port (Slot+), MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
                        ExtTag- RBE+ FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
                LnkCap: Port #2, Speed 5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <4us
                        ClockPM- Surprise- LLActRep- BwNot+
                LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt+ ABWMgmt+
                SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
                        Slot #1, PowerLimit 75.000W; Interlock- NoCompl+
                SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
                        Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
                SltSta: Status: AttnB...

Dave Cunningham (sparkprime) wrote :

I tried echo 10 > /sys/class/backlight/acpi_video0/brightness and this also crashed the system.

Dave Cunningham (sparkprime) wrote :
Download full text (124.5 KiB)

dmesg of a typical boot:

[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 3.5.0-26-generic (buildd@lamiak) (gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1) ) #42-Ubuntu SMP Fri Mar 8 23:18:20 UTC 2013 (Ubuntu 3.5.0-26.42-generic 3.5.7.6)
[ 0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.5.0-26-generic root=/dev/mapper/ubuntu-root ro quiet splash
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] Disabled fast string operations
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009d7ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009d800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000bf19efff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000bf19f000-0x00000000bf69efff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000bf69f000-0x00000000bf79efff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000bf79f000-0x00000000bf7fefff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000bf7ff000-0x00000000bf7fffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000bf800000-0x00000000bfffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed08000-0x00000000fed08fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed10000-0x00000000fed19fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ffd20000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000023dffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.6 present.
[ 0.000000] DMI: LENOVO 4282A22/4282A22, BIOS 8BET41WW (1.21 ) 03/30/2011
[ 0.000000] e820: update [mem 0x00000000-0x0000ffff] usable ==> reserved
[ 0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.000000] No AGP bridge found
[ 0.000000] e820: last_pfn = 0x23e000 max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 0FFC00000 mask FFFC00000 write-protect
[ 0.000000] 1 base 000000000 mask F80000000 write-back
[ 0.000000] 2 base 080000000 mask FC0000000 write-back
[ 0.000000] 3 base 0BF800000 mask FFF800000 uncachable
[ 0.000000] 4 base 100000000 mask F00000000 write-back
[ 0.000000] 5 base 200000000 mask FC0000000 write-back
[ 0.000000] 6 base 23E000000 mask FFE000000 uncachable
[ 0.000000] 7 disabled
[ 0.000000] 8 disabled
[ 0.000000] 9 disabled
[ 0.000000] x86 PA...

Dave Cunningham (sparkprime) wrote :

See: "Bug: Advanced battery query causes EC hang"

http://www.thinkwiki.org/wiki/Embedded_Controller_Firmware#Firmware_issues

I am going to try upgrading my bios, but this is tricky because it requires windows and I am not running windows.

Dave Cunningham (sparkprime) wrote :

Updated the bios with a boot cd -- did not make any noticeable difference

[ 30.711907] thinkpad_acpi: ThinkPad BIOS 8BET60WW (1.40 ), EC unknown

Dave Cunningham (sparkprime) wrote :

This bug is a duplicate of https://bugs.launchpad.net/ubuntu/+source/linux/+bug/776999

I can confirm the following workaround allows full brightness control:

nox2apic kernel param

AND

In Device section of xorg.conf:

Option "RegistryDwords" "EnableBrightnessControl=1"

Changed in linux (Ubuntu Quantal):
assignee: Joseph Salisbury (jsalisbury) → nobody
Jeff Marcom (jeffmarcom) on 2013-04-12
Changed in linux (Ubuntu Quantal):
status: Incomplete → New
status: New → Confirmed

Jeff Lane, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-1.37
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers